solution "flaming-wallhack"
	configurations { "Debug", "Release" }
	location "build"
	targetdir "bin"
	includedirs "src"
	
	project "whateven"
		language "C++"
		files "src/game/**.cpp"
		links { "navmesh", "Utility", "polypartition", "sfgui", "z", "tmxparser", "tinyxml", "jsoncpp" }
		kind "WindowedApp"
		buildoptions "-std=c++11"
			
		configuration "Debug"
			symbols "On"
			warnings "Extra"
			links { "sfml-system-d", "sfml-window-d", "sfml-graphics-d", "sfml-audio-d" }

		configuration "Release"
			optimize "On"
			warnings "Extra"
			links { "sfml-system", "sfml-window", "sfml-graphics", "sfml-audio" }

	project "test_suite"
		language "C++"
		files "src/tests/*.cpp"
		links { "Utility", "gtest" }
		kind "ConsoleApp"
		buildoptions "--std=c++11"
			
		configuration "Debug"
			symbols "On"
			warnings "Extra"

		configuration "Release"
			optimize "On"
			warnings "Extra"

	project "navmesh_test"
		language "C++"
		files {
            "src/game/Tiled/Tilemap.cpp",
            "src/game/Tiled/TiledMapCollision.cpp",
            "src/navmesh/NavmeshTest.cpp",
            "src/navmesh/NavmeshExposer.cpp"
        }
		links { "navmesh", "Utility", "polypartition", "z", "tmxparser", "tinyxml", "jsoncpp" }
		kind "WindowedApp"
		buildoptions "-std=c++11"
			
		configuration "Debug"
			symbols "On"
			warnings "Extra"
			links { "sfml-system-d", "sfml-window-d", "sfml-graphics-d" }

		configuration "Release"
			optimize "On"
			warnings "Extra"
			links { "sfml-system-d", "sfml-window-d", "sfml-graphics-d" }

	project "polypartition"
		language "C++"
		files "src/polypartition/polypartition.cpp"
		kind "StaticLib"
			
		configuration "Debug"
			symbols "On"
			warnings "Extra"

		configuration "Release"
			optimize "On"
			warnings "Extra"

	project "navmesh"
		language "C++"
		kind "StaticLib"
		links { "Utility", "polypartition" }
		files "src/navmesh/**.cpp"
		excludes {"src/navmesh/navmesh_test.cpp", "src/navmesh/NavmeshExposer.cpp"}
		buildoptions "-std=c++11"
			
		configuration "Debug"
			symbols "On"
			warnings "Extra"

		configuration "Release"
			optimize "On"
			warnings "Extra"

	project "Utility"
		language "C++"
		kind "StaticLib"
		files "src/Utility/*.cpp"
		buildoptions "-std=c++11"
			
		configuration "Debug"
			symbols "On"
			warnings "Extra"
			links { "sfml-system-d" }

		configuration "Release"
			optimize "On"
			warnings "Extra"
			links { "sfml-system" }
