
#ifndef __UTIL_EDGE_H
#define __UTIL_EDGE_H

#include "Utility.h"

template <typename T>
struct Edge {
    Edge() {}
    Edge(sf::Vector2<T> c1, sf::Vector2<T> c2) :
        c1(c1), c2(c2) {}

    Edge offset(sf::Vector2<T> off) const {
        return Edge(c1 + off, c2 + off);
    }

    sf::Vector2<T> getNormal() const {
        return ::getNormal(c1, c2);
    }

    sf::Vector2<T> c1;
    sf::Vector2<T> c2;
};

#endif
