
#ifndef __BULLET_H
#define __BULLET_H

#include <vector>
#include <SFML/System.hpp>
#include <SFML/Graphics.hpp>

class Level;
class Entity;
class Unit;

class Bullet : public sf::Drawable {
public:
	Bullet(sf::Vector2f pos, sf::Time lifetime, float angle, float moveSpeed, float tracerLength, float power);
	void Update(Level &level, const sf::Time &timePassed);
	bool IsActive();
	bool IsColliding(const Entity &entity) const;
	void Damage(Unit &unit);
protected:
	float angle;
	float moveSpeed;
	float tracerLength;
	float power;
	bool active;
	bool intersected;
	bool hasDamaged;

	sf::Vector2f origin;
	sf::VertexArray tracer;
	sf::Time timer;
	sf::Time lifetime;
private:
	virtual void draw(sf::RenderTarget &target, sf::RenderStates states) const;
};

#endif
