
#ifndef __GUN_H
#define __GUN_H

#include <SFML/System.hpp>

class Level;

class Gun {
public:
	Gun();

	void setBulletLifetime(sf::Time lifetime);
	void setBulletLIfetimeVariance(sf::Time variance);
	void setCooldown(sf::Time cooldown);
	void setPower(float power);
	void setPowerVariance(float powerVariance);
	void setAngleVariance(float angleVariance);
	void setSpeed(float speed);
	void setSpeedVariance(float speedVariance);
	void overrideTracerLenVariance(float tracerLenVariance);
	void overrideTracerLen(float tracerLen);
	void setAutomatic(bool automatic);

	void ToggleFiring(bool fire);
	void Update(Level &level, sf::Time delta, sf::Vector2f pos, float facing);
private:
	sf::Time bulletLifetime;
	sf::Time lifetimeVariance;
	sf::Time gunCooldown;
	float barrelDistance;
	float power;
	float powerVariance;
	float angleVariance;
	float speed;
	float speedVariance;
	float tracerLengthOverride;
	float tracerLengthVariance;
	bool automatic;

	sf::Time timer;
	bool firing;
	bool fired;
};

#endif
