
/*
 * \brief Substitute for no sound at all.
 * \author Ed Lu
 * \date July 27 2014
 */

#ifndef __NULLSOUNDMANAGER_H
#define __NULLSOUNDMANAGER_H

#include "SoundService.h"

class NullSoundManager : public SoundService
{
public:
	/**
	 * Does nothing.
	 */
	virtual bool AddSound(const std::string& soundLoc, const std::string& soundName, bool loop);

	/**
	 * Does nothing.
	 */
	virtual bool PlaySound(const std::string& soundName);

	/**
	 * Does nothing.
	 */
	virtual bool StopSound(const std::string& soundName);

	/**
	 * Does nothing.
	 */
	virtual void SetSoundVolume(const std::string& soundName, float volume);

	/**
	 * Does nothing.
	 */
	virtual void StopLastSound();
private:
};

#endif
