
#ifndef __TILEDMAPCOLLISION_H
#define __TILEDMAPCOLLISION_H

#include <tmxparser/Tmx.h>
#include <json/json.h>

#include "Utility/Edge.h"

#include <vector>

class TiledMapCollision {
public:
    TiledMapCollision();
    TiledMapCollision(Tmx::Map &map);
    void LoadMap(Tmx::Map &map);

	// This family of functions gets the nearest colliding edge in a certain diretcion.
	bool GetCollide(sf::Vector2f p1, sf::Vector2f p2, sf::Vector2f& point) const;

    // Get edges of map, primarily to feed into something like navmesh.
    const std::vector<Edge<int>> &getEdges();

private:
    void LoadPolylineGroup(const Tmx::ObjectGroup *objectGroup);

    std::vector<Edge<int>> edges;
};

#endif
