
#ifndef __TILEMAP_H
#define __TILEMAP_H

#include <SFML/Graphics.hpp>
#include <TmxParser/Tmx.h>

#include <list>
#include <map>
#include <unordered_map>

#define BASEMAPDIR "assets/maps/"

class Tilemap {
public:
	Tilemap();
	Tilemap(Tmx::Map &map);

	void LoadMap(Tmx::Map &map);

	/** Draw tilemap layers from the last draw to some number; use -1 to draw until end and reset */
	void drawLayers(sf::RenderTarget& target, sf::RenderStates state, unsigned from, unsigned to) const;

private:
	std::map<int, sf::RenderTexture> tilemapTextures;

	/** Some stuff to make sure we aren't loading tilesets many times */
	static sf::Texture &getTilesetTexture(const std::string &loc);
	static std::unordered_map<std::string, sf::Texture> tilesetTextureCache;
};

#endif
