
#include "Unit.h"

const int Unit::maxHealth = 100;
const int Unit::defaultAttackPower = 25;

Unit::Unit(std::string imgLoc, sf::IntRect collisionBox, sf::IntRect animBox)
		: Movable(imgLoc, collisionBox, animBox) {
	attackPower = defaultAttackPower;
	health = maxHealth;
}

void Unit::Attack(Unit& unit)
{
	unit.RemoveHealth(attackPower);
	//printf("Hit Movable\n");
}

void Unit::RemoveHealth(int amount)
{
	health -= amount;
}

bool Unit::IsAlive()
{
	return health > 0;
}
