
#ifndef __UNIT_H
#define __UNIT_H

#include "Movable.h"

class Unit : public Movable {
public:
	Unit(std::string imgLoc, sf::IntRect collisionBox, sf::IntRect animBox);

	/**
	 * Prompts this Unit to attack another.
	 *
	 * Simply subtracts this->attackPower from movable.health .
	 * \param movable The Movable that is getting attacked.
	 */
	virtual void Attack(Unit& unit);

	/**
	 * Removes health from this Unit.
	 *
	 * Prefer calling this over simply removing from health so that
	 *  the other movable can play a sound or something.
	 */
	virtual void RemoveHealth(int amount);

	/**
	 * Gets whether or not the Unit is alive or not.
	 * \return True if the movable is alive, false otherwise.
	 */
	virtual bool IsAlive();
protected:
	/** Attack power of the entity */
	int attackPower;
	/** Health of the entity*/
	int health;

	/** Maximum health of the entity */
	static const int maxHealth;
	/** Default attack power of the entity */
	static const int defaultAttackPower;
private:
};

#endif
