
#include "NavmeshExposer.h"

std::pair<float, float> NavmeshExposer::getPrio(unsigned poly) const {
	auto iter = prios.find(poly);
	if(iter != prios.end()) {
		return iter->second;
	} else {
		return std::pair<float, float>(-1.0f, -1.0f);
	}
}

const std::vector<Edge<int>> &NavmeshExposer::getEdges() const {
	return edges;
}

const std::vector<std::vector<sf::Vector2f>> &NavmeshExposer::getPolys() const {
	return polys;
}

const std::vector<std::vector<Navmesh::AdjNode>> &NavmeshExposer::getAdjList() const {
	return adjacencyList;
}
