#include <jsoncpp/json/json.h>
#include <fstream>
#include <sstream>

int main(int argc, char* argv[]) {
	if(argc < 2) {
		fprintf(stderr, "giff map name");
		return 1;
	}

	std::string fname(argv[1]);
	std::ifstream file(fname.c_str());
	Json::Reader reader;
	Json::Value root;
	if(!reader.parse(file, root)) {
		fprintf(stderr, "Failed to parse annotation file %s: %s\n",
				fname.c_str(), reader.getFormattedErrorMessages().c_str());
		throw 1;
	}

	Json::Value::Members members = root.getMemberNames();
	Json::Value newroot(Json::objectValue);

	printf("Found %u members\n", members.size());

	std::stringstream sstream;
	
	for(int i = 0; i < members.size(); i++) {
		Json::Value value = root.removeMember(members[i]);
		unsigned id, newid;

		sstream.str(members[i]);
		sstream.clear();
		sstream >> id;

		newid = (id/40) * 10 + id%40;
		sstream.str("");
		sstream.clear();
		sstream << newid;
		printf("Translating %u -> %s\n", id, sstream.str().c_str());
		newroot[sstream.str()] = value;
	}

	std::ofstream outfile("fix.json");
	Json::StyledStreamWriter writer("    ");
	writer.write(outfile, newroot);

	return 0;
}
